return Def.ActorFrame {

-- Base bar
Def.ActorFrame {
	InitCommand=function(self)
		self:vertalign(top)
	end;
	OnCommand=function(self)
		self:addy(-104):decelerate(0.5):addy(104)
	end,
	OffCommand=function(self)
		self:sleep(0.175):decelerate(0.4):addy(-105)
	end;
		
		Def.Quad {
			InitCommand=function(self)
				self:vertalign(top):horizalign(left):zoomto(SCREEN_WIDTH,64):x(0)
			end;
			OnCommand=function(self)
				self:diffuse(color("#0E1A3A"))
			end,
		},
		
		-- BG for sort region
		Def.Quad {
			InitCommand=function(self)
				self:vertalign(top):horizalign(right):zoomto(418,64):x(SCREEN_RIGHT)
			end;
			OnCommand=function(self)
				self:diffuse(color("#294DAD55"))
			end,
			SortOrderChangedMessageCommand=function(self) 
				self:finishtweening():diffusealpha(0.4):diffuse(color("#294DAD99"))
				:decelerate(0.4):diffusealpha(0):diffuse(color("#294DAD55"))
			end;
		},

		-- Stripe
		Def.Quad {
			InitCommand=function(self)
				self:vertalign(top):horizalign(left):zoomto(SCREEN_WIDTH,2):y(62):x(0)
			end;
			OnCommand=function(self)
				self:diffuse(color("#FF8D47")):diffuserightedge(color("#FFC447")):diffusealpha(0.75)
			end;
		};	
		
		-- Shadow	
		Def.Quad {
			InitCommand=function(self)
				self:vertalign(top):zoomto(SCREEN_WIDTH,4):y(64)
			end;
			OnCommand=function(self)
				self:diffuse(Color.Black):fadebottom(1):diffusealpha(0.2)
			end;
		};
	};

	-- Text
	Def.BitmapText {
		Font="_ibm plex sans semibold 36px",
		Name="HeaderTitle",
		Text=string.upper(Screen.String("HeaderText")),
		InitCommand=function(self)
			self:xy(SCREEN_LEFT+25,32):horizalign(left):diffuse(color("#FFFFFF")):diffusebottomedge(color("#A7C7FF")):skewx(-0.15)
		end;
		OnCommand=function(self)
			self:diffusealpha(0):sleep(0.5):smooth(0.3):diffusealpha(1)
			if SCREENMAN:GetTopScreen():GetName() == "ScreenSelectMusic" then
				self:maxwidth( WideScale(10,240) )
			end
		end;
		UpdateScreenHeaderMessageCommand=function(self,param)
			self:settext(string.upper(param.Header))
		end;
		OffCommand=function(self) self:decelerate(0.175):diffusealpha(0) end;
	};
};